Mac Root Problem: "Error Claiming Interface"


  1. wase4711

    wase4711 Well-Known Member

    So, using Heimdall, I was able to root my first epic4g; I exchanged it yesterday and, when trying to root the replacement, I keep getting the "error claiming interface" message..
    I've tried version 1.2, 1.3.1, on both Lion and snow leopard, and still can't get it to work..

    Anyone else rooting via a MAC find a fix for this? I know a lot of folks have had the same problem..

    thanks!

    Advertisement
  2. vide infra

    vide infra Well-Known Member

    i had the same problem, i gave up and installed windows/boot camp
  3. vide infra

    vide infra Well-Known Member

    just realized this was asked on october 11th
  4. Javeline4

    Javeline4 Active Member

    Yep, it is pretty frustrating. I did everything step for step and encountered the same problem with claim interface... FAILED! error

    Wish I knew someone with a windows machine.
  5. scottwallacesh

    scottwallacesh New Member

    I think I've solved this.

    I've written up the solution here:
    http://scottwallacesh.blogspot.com/2012/03/getting-heimdall-to-work-on-your-mac.html
  6. greasemuntney

    greasemuntney Member

    I thank you for the post But it still didn't help my issue on my Macbook Air. Hope that soon the Heimdall software will have a update and help us out. I have tried everything on the net to fix my issue and root my GS3 with no luck.
  7. wordnerd

    wordnerd Member

    I kept getting this message too until I plugged the USB cable directly into one of the ports on the back of my iMac. Secondary ports (e.g., on a keyboard) won't work.

    Are you sure you have the correct Samsung USB drivers installed?

    Also, it's advisable to do some voodoo in Terminal before and after you install Heimdall (see third bulleted item in the list at the link):

    CyanogenMod Galaxy S2 with a Mac | Bagel Belly Blog

    Finally, I've read that Heimdall needs a compatible version of an obscure something-or-other called libusb installed in order to work properly on a Mac (Snow Leopard and Lion versions at the link):

    TWAIN SANE Interface for MacOS X

Share This Page